
From: Christoph Hellwig <hch@lst.de>

arch/mips/kernel/binfmt_elfn32.c needs to override e_flags for elf
coredumps.  It already defines ELF_CORE_EFLAGS before including
binfmt_elf.c, but the latter doesn't pick up the define yet.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/binfmt_elf.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN fs/binfmt_elf.c~binfmt_elf-allow-mips-to-overrid-e_flags fs/binfmt_elf.c
--- 25/fs/binfmt_elf.c~binfmt_elf-allow-mips-to-overrid-e_flags	2005-01-16 14:39:50.266102072 -0800
+++ 25-akpm/fs/binfmt_elf.c	2005-01-16 14:39:50.271101312 -0800
@@ -69,6 +69,10 @@ static int elf_core_dump(long signr, str
 # define ELF_MIN_ALIGN	PAGE_SIZE
 #endif
 
+#ifndef ELF_CORE_EFLAGS
+#define ELF_CORE_EFLAGS	0
+#endif
+
 #define ELF_PAGESTART(_v) ((_v) & ~(unsigned long)(ELF_MIN_ALIGN-1))
 #define ELF_PAGEOFFSET(_v) ((_v) & (ELF_MIN_ALIGN-1))
 #define ELF_PAGEALIGN(_v) (((_v) + ELF_MIN_ALIGN - 1) & ~(ELF_MIN_ALIGN - 1))
@@ -1172,7 +1176,7 @@ static inline void fill_elf_header(struc
 	elf->e_entry = 0;
 	elf->e_phoff = sizeof(struct elfhdr);
 	elf->e_shoff = 0;
-	elf->e_flags = 0;
+	elf->e_flags = ELF_CORE_EFLAGS;
 	elf->e_ehsize = sizeof(struct elfhdr);
 	elf->e_phentsize = sizeof(struct elf_phdr);
 	elf->e_phnum = segs;
_
